void lcd_job()
{
    // configurare porturi folosite
    DDRB &= ~((1 << PB0) | (1 << PB1));
    PORTB |= (1 << PB0) | (1 << PB1);

    // initializari
    char str[] = "Hello World";
    LCD_print(str);

    int8_t pos = 0;
    uint8_t PINB_old = 0xff;
    for(;;)
    {
        uint8_t PINB_crt = PINB;

        if((PINB_old & (1 << PB1)) && !(PINB_crt & (1 << PB1)))
        {
            pos += 1;
            if(pos + (sizeof(str) - 1) > 16)
                pos = 16 - (sizeof(str) - 1);

            LCD_writeInstr(LCD_INSTR_clearDisplay);
            LCD_printAt(pos, str);
        }

        if((PINB_old & (1 << PB0)) && !(PINB_crt & (1 << PB0)))
        {
            pos -= 1;
            if(pos < 0)
                pos = 0;

            LCD_writeInstr(LCD_INSTR_clearDisplay);
            LCD_printAt(pos, str);
        }

        PINB_old = PINB_crt;

        _delay_ms(5);
    }
}
